com.aliyun.svideosdk.common.struct.encoder

## Enum VideoCodecs

- java.lang.Object
- - java.lang.Enum<VideoCodecs>
  - - com.aliyun.svideosdk.common.struct.encoder.VideoCodecs

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VideoCodecs>

      public enum VideoCodecs
      extends java.lang.Enum<VideoCodecs>

  视频编码器类型

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `H264_HARDWARE` 硬编码
    `H264_SOFT_OPENH264` OpenH264 软编码

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VideoCodecs` | `getInstanceByValue(int v)`
    `static VideoCodecs` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VideoCodecs[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### H264_HARDWARE

          public static final VideoCodecs H264_HARDWARE

      硬编码

    - #### H264_SOFT_OPENH264

          public static final VideoCodecs H264_SOFT_OPENH264

      OpenH264 软编码

  - ### Method Detail

    - #### values

          public static VideoCodecs[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoCodecs c : VideoCodecs.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoCodecs valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getInstanceByValue

          public static VideoCodecs getInstanceByValue(int v)